#
# spec file for package python-first
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-first
Version:        2.0.2
Release:        bp156.3.1
Summary:        Python library to return the first true value of an iterable
License:        MIT
Group:          Development/Languages/Python
URL:            http://github.com/hynek/first/
Source:         https://files.pythonhosted.org/packages/source/f/first/first-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
A Python library that returns the first true value of an iterable.

%prep
%setup -q -n first-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=. $python setup.py test

%files %{python_files}
%doc AUTHORS.rst README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Sat Mar 16 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in descriptions.
* Fri Mar  8 2019 John Vandenberg <jayvdb@gmail.com>
- Use tests from upstream sdist
- Update to v2.0.2
  * Package tests as part of the dist.
  * Update docs.
* Wed Mar  6 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v2.0.1
